Subject: Re: [Diffserv] QoSSIG BOF

From: Ping Pan <[email-masked]>
Date: Wed, 02 Feb 2000 14:53:17 -0500

[email-masked] wrote:
> 
> Ping,
> 
> Reading this chart, some interesting information stands out for me.  First (and
> it may be too early to really judge from the limited data points given) but, it
> looks like the number of networks has begun to flatten out.  While, Hosts and
> Domains continue to rise to to the right at about the same slope.  In addition,
> eventhough we are increasing compacity of the networks (ie., WDM, dWDM, ect.),
> if the trend contineus, host will overrun the core (even at the mutligig
> speeds).  This leads me to the agreement(s) I've heard here (as well as in other
> forum) where the best would be a combination of protocols (ie., QoS(RSVP like)
> at the edge to support host requirements and CoS (DS) in the core for use as
> well as scaleability.
> 

;-) We indeed proposed a hierarchical architecture here: end-user driven
reservation protocols at user network, and an inter-domain reservation
protocol at core. 

I have heard the argument of using DiffServ at core. Here are my
questions:

In RFC2597 (AF PHB):"... A DS node MUST allocate a configurable, minimum
amount of forwarding resources (buffer space and bandwidth) to each
implemented AF class. Each class SHOULD be serviced in a manner to
achieve the configured service rate (bandwidth) over both small and
large time scales...."

IN RFC2598 (EF PHB):"... Creating such a service has two parts:

      1) Configuring nodes so that the aggregate has a well-defined
         minimum departure rate. ("Well-defined" means independent of
         the dynamic state of the node.  In particular, independent of
         the intensity of other traffic at the node.)

      2) Conditioning the aggregate (via policing and shaping) so that
         its arrival rate at any node is always less than that node's
         configured minimum departure rate.
..."

I also heard that all network interior routers need to provide traffic
conditioning functionality (policing/shaping, etc.). That means the
routers need to be aware of the rates associated with each PHB. (Look:
this is Frame Relay CIR/Bc/Be all over again essentially. ;-))

Question: Who set up the rate for each PHB in the core? Don't tell me we
are setting them by hand. ;-) I think that BGRP (or other backbone
resource management mechanism) is responsible for setting up and
maintain the rate at routers. I don't believe these reservation states
change a lot over time. but they need to be maintained regardless (to
avoid route flapping for example).

BTW, while we are making assumption on using DiffServ at core, can
someone please provide some information on the DiffServ deployment
plan/experience? Like to know how it works. Thanks in advance!

BR,

- Ping

P.S.: I am not forwarding this to the DiffServ list per request.